> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuro-tech.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize access to contract

## Overview

Allows the client to (pre-)authorize access to (or remove authorization to access) one of its Smart Contracts (or one of the Smart Contracts for which the client is part) to a remote party. When (if) the remote party requests access to the Smart Contract, the broker will return it automatically, if already authorized. If not authorized, a petition to access the Smart Contract will be sent to the clients of the part of the contract for manual approval.

## HTTP request

`POST /Agent/Legal/AuthorizeAccessToContract`

## Authentication

Requires a valid JWT bearer token.

## Request (JSON)

```json theme={null}
{
	"contractId": Required(Str(PContractId)),
	"remoteId": Required(Str(PRemoteId)),
	"authorized": Required(Boolean(PAuthorized))
}
```

## Input parameters

| Parameter   | Description                                                                                    |
| ----------- | ---------------------------------------------------------------------------------------------- |
| PContractId | Identifier of the corresponding Smart Contract of the client, or for which the client is part. |
| PRemoteId   | Identifier of the Legal Identity of the corresponding remote entity, or its Bare JID.          |
| PAuthorized | If the remote entity is authorized access to the corresponding contract or not.                |

## Response (JSON)

```json theme={null}
{
}
```

## Notes

This endpoint uses the request schema notation described in [Pattern matching](/neuron-api/pattern-matching).
